# Detach a memory store from an agent

POST https://api.synthflow.ai/v2/memory_stores/{memory_store_id}/assistants/{assistant_id}/detach

Reference: https://docs.synthflow.ai/api-reference/platform-api/memory-stores/detach-a-memory-store-from-an-agent

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Synthflow APIs
  version: 1.0.0
paths:
  /memory_stores/{memory_store_id}/assistants/{assistant_id}/detach:
    post:
      operationId: detach-a-memory-store-from-an-agent
      summary: Detach a memory store from an agent
      tags:
        - ''
      parameters:
        - name: memory_store_id
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/memory_store_id'
        - name: assistant_id
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/model_id'
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/detachAMemoryStoreFromAnAgent_Response_200
servers:
  - url: https://api.synthflow.ai/v2
  - url: https://api.us.synthflow.ai/v2
components:
  schemas:
    memory_store_id:
      type: string
      description: The ID of the memory store (group).
      title: memory_store_id
    model_id:
      type: string
      description: Agent ID. You can find it on the agent’s page in your dashboard.
      title: model_id
    detachAMemoryStoreFromAnAgent_Response_200:
      type: object
      properties:
        status:
          type: string
      title: detachAMemoryStoreFromAnAgent_Response_200
  securitySchemes:
    sec0:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python
import requests

url = "https://api.synthflow.ai/v2/memory_stores/memory_store_id/assistants/assistant_id/detach"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthflow.ai/v2/memory_stores/memory_store_id/assistants/assistant_id/detach"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.synthflow.ai/v2/memory_stores/memory_store_id/assistants/assistant_id/detach")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.synthflow.ai/v2/memory_stores/memory_store_id/assistants/assistant_id/detach")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.synthflow.ai/v2/memory_stores/memory_store_id/assistants/assistant_id/detach");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/memory_stores/memory_store_id/assistants/assistant_id/detach")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```